# eric5.E5Network.E5SslCertificatesInfoWidget

Module implementing a widget to show SSL certificate infos.

### Global Attributes

None

### Classes

E5SslCertificatesInfoWidget | Class implementing a widget to show SSL certificate infos.

### Functions

None

## E5SslCertificatesInfoWidget

Class implementing a widget to show SSL certificate infos.

### Derived from

QWidget, Ui_E5SslCertificatesInfoWidget

### Class Attributes

None

### Class Methods

None

### Methods

E5SslCertificatesInfoWidget | Constructor
__certificateString | Private method to prepare some text for display.
__formatHexString | Private method to format a hex string for display.
__hasExpired | Private method to check for a certificate expiration.
__serialNumber | Private slot to format the certificate serial number.
__showCertificate | Public method to show the SSL certificate information.
on_chainComboBox_activated | Private slot to show the certificate info for the selected entry.
showCertificate | Public method to show the SSL certificate information.
showCertificateChain | Public method to show the SSL certificates of a certificate chain.

### Static Methods

None

#### E5SslCertificatesInfoWidget (Constructor)

E5SslCertificatesInfoWidget(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### E5SslCertificatesInfoWidget.__certificateString

__certificateString(txt)

Private method to prepare some text for display.

txt
  text to be displayed (string)

Returns:
  prepared text (string)

#### E5SslCertificatesInfoWidget.__formatHexString

__formatHexString(hexString)

Private method to format a hex string for display.

hexString
  hex string to be formatted (string)

Returns:
  formatted string (string)

#### E5SslCertificatesInfoWidget.__hasExpired

__hasExpired(effectiveDate, expiryDate)

Private method to check for a certificate expiration.

effectiveDate
  date the certificate becomes effective (QDateTime)
expiryDate
  date the certificate expires (QDateTime)

Returns:
  flag indicating the expiration status (boolean)

#### E5SslCertificatesInfoWidget.__serialNumber

__serialNumber(cert)

Private slot to format the certificate serial number.

cert
  reference to the SSL certificate (QSslCertificate)

Returns:
  formated serial number (string)

#### E5SslCertificatesInfoWidget.__showCertificate

__showCertificate(certificate)

Public method to show the SSL certificate information.

certificate
  reference to the SSL certificate (QSslCertificate)

#### E5SslCertificatesInfoWidget.on_chainComboBox_activated

on_chainComboBox_activated(index)

Private slot to show the certificate info for the selected entry.

index
  number of the certificate in the certificate chain (integer)

#### E5SslCertificatesInfoWidget.showCertificate

showCertificate(certificate)

Public method to show the SSL certificate information.

certificate
  reference to the SSL certificate (QSslCertificate)

#### E5SslCertificatesInfoWidget.showCertificateChain

showCertificateChain(certificateChain)

Public method to show the SSL certificates of a certificate chain.

certificateChain
  list od SSL certificates (list of QSslCertificate)

Up